#
# spec file for package gtg
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gtg
Version:        0.2.4
Release:        5.6.1
License:        GPLv3+
Summary:        Personal Organizer for GNOME
Url:            https://gtg.fritalk.com
Group:          Productivity/Office/Organizers
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gtg-hamster-plugin-not-starting-tracking-tasks.patch lp#620313 bnc#683748 malcolmlewis@opensuse.org -- Fix After activiting the Hamster (Time Tracking) plugin in GTG nothing happens.
Patch0:         gtg-hamster-plugin-not-starting-tracking-tasks.patch
BuildRequires:  dbus-1
# dbus-1 is only required for file ownerships
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-gobject2
BuildRequires:  python-gtk
BuildRequires:  update-desktop-files
Requires:       python-configobj
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-xdg
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{suse_version} > 1110
BuildArch:      noarch
%endif
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%define python_sitearch %{py_sitedir}
%endif

%description
Getting Things GNOME! (GTG) is a personal organizer for the GNOME desktop
environment inspired by the Getting Things Done (GTD) methodology. GTG is
designed with flexibility, adaptability, and ease of use in mind so it can be
used as more than just GTD software.

GTG is intended to help you track everything you needto do and need to know,
from small tasks to large projects.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name} ProjectManagement
%fdupes -s %{buildroot}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE CHANGELOG README
%{_bindir}/gtg
%{_bindir}/gtg_new_task
%{python_sitelib}/GTG/
%{python_sitelib}/gtg-%{version}*.egg-info
%{_datadir}/applications/gtg.desktop
%{_datadir}/gtg/
%{_datadir}/icons/hicolor/*/apps/gtg.*
%{_datadir}/dbus-1/services/org.GTG.service
%{_mandir}/man1/gtg.1.gz
%{_mandir}/man1/gtg_new_task.1.gz

%files lang -f %{name}.lang

%changelog
* Wed Mar 30 2011 malcolmlewis@opensuse.org
- Fix bug bnc#683748 malcolmlewis@opensuse.org -- After activiting
  the Hamster (Time Tracking) plugin in GTG nothing happens.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 0.2.4:
  + Several bugfixes and polishing.
* Fri Jun  4 2010 vuntz@opensuse.org
- Fix python-xdg Requires (it was python-pyxdg).
* Wed Mar  3 2010 dimstar@opensuse.org
- Update to version 0.2.3:
  + Removal of disabled widgets.
* Mon Mar  1 2010 dimstar@opensuse.org
- Update to version 0.2.2:
  + Autostart on login
  + Preferences dialog
  + Send task by mail plugin
  + Import_json plugin
  + lp#520427: Improve RTM plugin: don't sync tasks from archived
    lists
  + Automatic cleanup of closed task, plugin
  + Allow to change dismissed date of tasks
  + Docky applet support
  + lp#502111: Allow to change closed date of tasks
  + notification area plugin updated to support appindicate
  + gtg_new task now supports command switches
  + lp#511651: white space around title
  + Expanded CLI to gtg to support task descriptions
  + Added a guide to plugins
  + RTM plugin tags synchronization
  + Evolution plugin
  + Tomboy support
  + Dbus autostart
  + Notification area bug fixes
- BuildRequire dbus-1 for directory ownership.
* Tue Feb  2 2010 awafaa@opensuse.org
- Update to version 0.2.1
  + Schedule for context menu
  + Improved export feature
  + Restore closed tasks filtering by selected tag, fixes
    bug lp#498857
  + Temporary fix allowing to reset tag color
  + Added the ability to add a tag from the right click menu in
    the task browser
  + Better explanation of the "Work view" concept in documentation
  + Multiple selection
  + API clarifications
  + Cut & Paste improvements
  + Notification area plugin improvements
  + Icons reflect action availability
  + Misc. editor bug fixes
  + Misc. tag list bug fixes
* Tue Jan 19 2010 vuntz@opensuse.org
- Cleanup packaging for integration in Factory.
* Mon Dec 14 2009 awafaa@opensuse.org
- Update to version 0.2.0:
  + Bugs fixes from 0.1.9
- Changes from version 0.1.9:
  + Support non-exact ("fuzzy") due dates: 'now', 'soon', and
    'later'
  + Fixes a bug with gtk stock strings being marked as translatable
    (lp#490231)
  + When a task is deleted, all subtask are deleted as well
  + Groups for tags and subtags
  + GNOME bugzilla plugin
  + Handle tasks spatially (remember position & size)
  + Opened tasks on quit are reopened on start
  + Remove the "File" menu. We have no files, we have tasks!
  + Improve compatibility with non GNU systems
  + Close date selector widget on single click
  + The toolbar can now be hidden
  + Empty new tasks are deleted when editor is closed
  + Lot of bug fixed in the editor while playing with subtasks
  + Works well with the "text besides icon" GNOME option
  + Merge RTM plugin branch
  + i18n: fixed window title in GTG/taskbrowser/browser.py
  + Add XDG_CACHE redefinition in script/debug.sh
  + Remove unsued get_closed_date
  + Added filtering capabilities
  - Filter callbacks were added to the task browser
  - Filters were also added to the requester
  + lp#406851, incorrect behaviour marking a dismissed task as done
  + Added accelerators to the task editor
  + Plugin for integration with the Hamster Time Tracker
  + Add plugin engine
  + When GTG is already running, use DBUS to raise existing
    instance rather than failing silently
  + Refactorization and PEP8ification work
  + New keyboard bindings for 'Mark as done' and 'Dismiss' actions
  + New keyboard bindings and accelerators
  + DBus interface
  + Remove the 'Delete' button from the toolbar
  + Fix a spelling mistake in the manpage
  + Allow quickadd of capitalized date
  + Added tomboy plugin
  + Added export function with templates
* Thu Jul  9 2009 awafaa@opensuse.org
- Update to version 0.1.2:
  + Available in 18 languages, with 12 languages being more than
    99%% translated
  + Shadows around the listview widgets
  + Fixes package dependencies
  + Tooltips for button
  + Automatically select title in task editor
  + Crash on startup with non empty LANGUAGE envvar
  + Use GNOME settings for toolbar
  + Better tag markup handling
  + No more multiple instances
  + HTTP link parsing
  + Update README
  + Update XML files sooner
  + Remember color
  + URLs can now include ';' characters. Fixes lp#360969
  + Added support for opening subtasks and links with the keyboard:
    Fixes lp#369272
  + Add polish translation
  + Title for newly created task is now selected to allow easy editing
  + Fixed some bugs in the task editor
  + lp#326388, lp#374745, lp#374745
* Mon Apr  6 2009 awafaa@opensuse.org
- Update to version 0.1.1:
  + New features:
  - New icon
  - Quickadd now accepts attributes
  - http:// links now open in the browser
  - Shortcut to show/hide sidebar (F9)
  - Some UI love for the sidebar and the tag icons, shamelessy
    copied from f-spot
  - Hotkeys goodness
  - Edit buttons
  + Bugs fixed:
  - Calendar open at the correct date
  - TaskSerial refactorization
  - Tooltips on buttons
  - First unit tests
  - Error, no crash if the XML file cannot be read
  - Fix lp#339383 (delete subtask when deleting first char)
  - Escape title in the treeview: lp#339874
  - Focus in the editor: lp#339269, lp#339195, lp#339389
  - lp#339269: Quickadd has the focus on launch
  - lp#339583, lp#336314: patches delete key and enter key to
    confirm a delete
  - Typos: lp#339268 lp#339492
* Fri Mar 13 2009 awafaa@opensuse.org
- Initial packaging (version 0.1).
